<?php
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");
$res = array();

if($_REQUEST['lista_bocas'])
{
    $lista_bocas = json_decode($_REQUEST['lista_bocas']);
    $texto_bocas = "(" . implode(',',$lista_bocas) . ")";
         //   $sql = "SELECT id_captacion, id_intervencion, usuario, fecha, estado_ini, estado_fin, tipo, accion, observaciones, fotos, audios FROM int_captaciones WHERE activo = 1 AND id_captacion IN " . $texto_bocas . " ORDER BY CAST(fecha AS DATETIME)";
            $sql = "SELECT aa.id_captacion, aa.id_intervencion, aa.usuario, aa.fecha, aa.estado_ini, aa.estado_fin, aa.tipo, aa.accion, aa.observaciones, aa.fotos, aa.audios,"; 
            $sql .= "cc.calle,";
            $sql .= "cc.SHAPE,";
            $sql .= "cc.puerta AS puerta, ";
            $sql .= "cc.calle1 AS calle1, ";
            $sql .= "cc.calle2 AS calle2 ";
            $sql .= " FROM int_captaciones AS aa ";
            $sql .= " LEFT JOIN ";
            $sql .= " cat_captaciones AS cc ON cc.elem_red = aa.id_captacion";
            $sql .= " WHERE aa.activo = 1 AND id_captacion IN " . $texto_bocas;
            $sql .= " ORDER BY CAST(aa.fecha AS DATETIME)";
            $resultado = mysqli_query($con,$sql);
            if ($resultado !== FALSE && mysqli_num_rows($resultado) > 0) {
                while($row = mysqli_fetch_assoc($resultado))
                    {
                        $elem = array(
                            'id_captacion'=>$row["id_captacion"],
                            'calle'=>$row["calle"],
                            'calle1'=>$row["calle1"],
                            'calle2'=>$row["calle2"],
                            'puerta'=>$row["puerta"],
                            'id_intervencion'=>$row["id_intervencion"],
                            'fecha'=>$row["fecha"],
                            'usuario'=>$row["usuario"],
                            'estado_ini'=>$row["estado_ini"],
                            'estado_fin'=>$row["estado_fin"],
                            'tipo'=>$row["tipo"],
                            'accion'=>$row["accion"],
                            'observaciones'=>$row["observaciones"],
                            'fotos'=>$row["fotos"],
                            'audios'=>$row["audios"]
                        );
                        array_push($res, $elem);
                    }
            }
}
mysqli_close($con);
echo json_encode($res);
?>


